header, footer, article, aside {
    display: block;
}
section{
    display: none;
}

header{
    background-color: rgb(152, 226, 152);
    height: 20vh;
}

main{
    height: 60vh;
    width: 100%;
    display: flex;
    flex-direction: row-reverse;
}

aside{
    background-color: lightskyblue;
    width: 200px;
}

article{
    background-color: plum;
    flex: auto;
}

footer{
    height: 20vh;
    background-color: goldenrod;
}


@media (max-width: 600px){
    main{
        flex-direction: column;
    }
    aside{
        height: 200px;
        width: 100%;
    }
}